%global alphatag alfa1

Name:           mailody
Version:        1.5.0
Release:        0.5.%{alphatag}%{?dist}
Summary:        Simple mail client

Group:          Applications/Communications
License:        GPLv2+
URL:            http://www.mailody.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}4-%{version}%{alphatag}.tar.bz2
Patch0:         mailody-CMakeLists.txt.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  kdepimlibs-devel
BuildRequires:  kdelibs4-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
Requires:       kdepimlibs-akonadi

%description
mailody is yet another mail client. While it uses the akonadi backend
from KDE4 it can handle IMAP and SMTP only, even though support for
MAPI is planned. It's actually some sort of mixture between the popular
KMail and Thunderbird mail clients and can share some settings with the
former.

%prep
%setup -q -n %{name}4-%{version}%{alphatag}

%patch0 -p0


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make %{?_smp_flags} VERBOSE=1 -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}
%find_lang %{name}
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/kde4/%{name}.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%{_kde4_docdir}/HTML/en/doc/
%{_kde4_bindir}/mailody
%{_kde4_datadir}/applications/kde4/mailody.desktop
%{_kde4_datadir}/dbus-1/interfaces/net.mailody.mainwindow.xml
%{_kde4_datadir}/icons/hicolor/*/apps/mailody.png
%{_kde4_datadir}/icons/hicolor/16x16/actions/label*.png
%{_kde4_datadir}/kde4/apps/mailody/


%changelog
* Tue Mar 02 2010 Sandro Mathys <red at fedoraproject.org> - 1.5.0-0.5.alfa1
- Add patch to explicitly link shared objects (in the solid libs) after ld's behaviour has changes

* Wed Jul 29 2009 Sandro Mathys <red at fedoraproject.org> - 1.5.0-0.4.alfa1
- Last tiny improvements out of the review

* Tue Jul 28 2009 Sandro Mathys <red at fedoraproject.org> - 1.5.0-0.3.alfa1
- Changed KDE4-specific stuff according to the review

* Tue Jun 09 2009 Sandro Mathys <red at fedoraproject.org> - 1.5.0-0.2.alfa1
- Added kdepimlibs-akonadi to the Requires
- Now does desktop-file-validate (and has BuildRequires: desktop-file-utils)
- Some simple changes to the style of the spec file itself

* Fri Jun 05 2009 Sandro Mathys <red at fedoraproject.org> - 1.5.0-0.1.alfa1
- initial build

